InternalError (Java SE 21 & JDK 21)
Description: declaration: module: java.base, package: java.lang, class: InternalError
Keywords: java.lang.InternalError class

Module java.base
Package java.lang

# Class InternalError

java.lang.Object
java.lang.Throwable
java.lang.Error
java.lang.VirtualMachineError
java.lang.InternalError

All Implemented Interfaces:
  `Serializable`

Direct Known Subclasses:
  `ZipError`

public class InternalError extends VirtualMachineError
Thrown to indicate some unexpected internal error has occurred in the Java Virtual Machine.

Since:
  1.0
See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `InternalError()`
  Constructs an `InternalError` with no detail message.
  `InternalError(String message)`
  Constructs an `InternalError` with the specified detail message.
  `InternalError(String message, Throwable cause)`
  Constructs an `InternalError` with the specified detail message and cause.
  `InternalError(Throwable cause)`
  Constructs an `InternalError` with the specified cause and a detail message of `(cause==null ? null : cause.toString())` (which typically contains the class and detail message of `cause`).

- ## Method Summary

  ### Methods declared in class java.lang.Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods declared in class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### InternalError

    public InternalError()
    Constructs an `InternalError` with no detail message.

  - ### InternalError

    public InternalError(String message)
    Constructs an `InternalError` with the specified detail message.
    Parameters:
      `message` - the detail message.

  - ### InternalError

    public InternalError(String message, Throwable cause)
    Constructs an `InternalError` with the specified detail message and cause.

    Note that the detail message associated with `cause` is not automatically incorporated in this error's detail message.

    Parameters:
      `message` - the detail message (which is saved for later retrieval by the `Throwable.getMessage()` method).
      `cause` - the cause (which is saved for later retrieval by the `Throwable.getCause()` method). (A `null` value is permitted, and indicates that the cause is nonexistent or unknown.)
    Since:
      1.8

  - ### InternalError

    public InternalError(Throwable cause)
    Constructs an `InternalError` with the specified cause and a detail message of `(cause==null ? null : cause.toString())` (which typically contains the class and detail message of `cause`).
    Parameters:
      `cause` - the cause (which is saved for later retrieval by the `Throwable.getCause()` method). (A `null` value is permitted, and indicates that the cause is nonexistent or unknown.)
    Since:
      1.8